mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
ipv6: true

dns:
  enable: true
  ipv6: true
  enhanced-mode: fake-ip
  nameserver:
    - https://1.1.1.1/dns-query
    - https://8.8.8.8/dns-query

proxies:
  - name: "美国2-共享"
    type: "vless"
    server: "23.95.170.171"
    port: 43362
    uuid: "dfe197cd-e360-48d7-9715-cc7f9d3a61e1"
    udp: true
    network: "tcp"
    tls: true
    servername: "www.amd.com"
    client-fingerprint: "chrome"
    reality-opts:
      public-key: "lekomSv1loyFtKRG6OUWZHBkMsbgzpzVZtfvXEgy7D0"
      short-id: "92f50618"

proxy-groups:
  - name: "Proxy"
    type: "select"
    proxies:
      - "美国2-共享"
      - "DIRECT"
  - name: "Auto"
    type: "url-test"
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies:
      - "美国2-共享"

rules:
  - IP-CIDR,23.95.170.171/32,DIRECT,no-resolve
  - IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
  - IP-CIDR,10.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
  - GEOIP,CN,DIRECT,no-resolve
  - GEOSITE,CN,DIRECT
  - MATCH,Proxy
